[MINOR] fix the status return of the init script

R.I. Pienaar reported to me that the init script provided with
haproxy did not correctly report the status of the rhstatus()
function. In fact this was caused by the "exit $RETVAL" instead
of "exit $?" at the end.
diff --git a/examples/haproxy.init b/examples/haproxy.init
index 55caa25..4de71ee 100644
--- a/examples/haproxy.init
+++ b/examples/haproxy.init
@@ -108,7 +108,7 @@
     ;;
   *)
     echo $"Usage: $BASENAME {start|stop|restart|reload|condrestart|status|check}"
-    RETVAL=1
+    exit 1
 esac
  
-exit $RETVAL
+exit $?